import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

class PflichtenheftTransferTest extends JFrame{
	
	Pflichtenheft ph;
	PflichtenheftDialog1 phd;
	
	public void pflichtenheftToDialog(){
		phd.ZBS.jtatext1.setText(ph.getBeschreibung());
		phd.ZBS.jtatext2.setText(ph.getMusskriterien());
		phd.ZBS.jtatext3.setText(ph.getWunschkriterien());
		phd.ZBS.jtatext4.setText(ph.getAbgrenzungskriterien());
		phd.PE.jtatext1.setText(ph.getAnwendungsbereiche());
		phd.PE.jtatext2.setText(ph.getZielgruppen());
		phd.PE.jtatext3.setText(ph.getBetriebsbedingungen());
		phd.PU.jtatext1.setText(ph.getSoftware1());
		phd.PU.jtatext2.setText(ph.getHardware1());
		phd.PU.jtatext3.setText(ph.getOrgware1());
		phd.PU.jtatext4.setText(ph.getSchnittstellen1());
		phd.PL.jtatext1.setText(ph.getProduktleistungen());
		phd.QZ.jcb1.setSelectedItem(ph.getFunktionalitaet());
		phd.QZ.jcb2.setSelectedItem(ph.getZuverlaessigkeit());
		phd.QZ.jcb3.setSelectedItem(ph.getBenutzbarkeit());
		phd.QZ.jcb4.setSelectedItem(ph.getEffizienz());
		phd.QZ.jcb5.setSelectedItem(ph.getAenderbarkeit());
		phd.TS.jtatext1.setText(ph.getTestszenarien());
		phd.EU.jtatext1.setText(ph.getSoftware2());
		phd.EU.jtatext2.setText(ph.getHardware2());
		phd.EU.jtatext3.setText(ph.getOrgware2());
		phd.EU.jtatext4.setText(ph.getSchnittstellen2());
		phd.EG.jtatext1.setText(ph.getErgaenzungen());
	}
	
	public void dialogToPflichtenheft(){
		ph.setBeschreibung(phd.ZBS.jtatext1.getText());
		ph.setMusskriterien(phd.ZBS.jtatext2.getText());
		ph.setWunschkriterien(phd.ZBS.jtatext3.getText());
		ph.setAbgrenzungskriterien(phd.ZBS.jtatext4.getText());
		ph.setAnwendungsbereiche(phd.PE.jtatext1.getText());
		ph.setZielgruppen(phd.PE.jtatext2.getText());
		ph.setBetriebsbedingungen(phd.PE.jtatext3.getText());
		ph.setSoftware1(phd.PU.jtatext1.getText());
		ph.setHardware1(phd.PU.jtatext2.getText());
		ph.setOrgware1(phd.PU.jtatext3.getText());
		ph.setSchnittstellen1(phd.PU.jtatext4.getText());
		ph.setProduktleistungen(phd.PL.jtatext1.getText());
		ph.setFunktionalitaet(phd.QZ.jcb1.getSelectedItem().toString());
		ph.setZuverlaessigkeit(phd.QZ.jcb2.getSelectedItem().toString());
		ph.setBenutzbarkeit(phd.QZ.jcb3.getSelectedItem().toString());
		ph.setEffizienz(phd.QZ.jcb4.getSelectedItem().toString());
		ph.setAenderbarkeit(phd.QZ.jcb5.getSelectedItem().toString());
		ph.setTestszenarien(phd.TS.jtatext1.getText());
		ph.setSoftware2(phd.EU.jtatext1.getText());
		ph.setHardware2(phd.EU.jtatext2.getText());
		ph.setOrgware2(phd.EU.jtatext3.getText());
		ph.setSchnittstellen2(phd.EU.jtatext4.getText());
		ph.setErgaenzungen(phd.EG.jtatext1.getText());
	}
	
	class MainWindowAdapter extends WindowAdapter 
    {
		public void WindowClosing(WindowEvent e)
		{
			System.exit(0);
		}
    }

    public  PflichtenheftTransferTest() {
	
        super("Pflichtenheft");
		
		this.addWindowListener(new MainWindowAdapter());

		JPanel jpPane = new JPanel();
		this.setContentPane(jpPane);
		phd = new PflichtenheftDialog1(this, "Pflichtenhft");
		ph = new Pflichtenheft();
		phd.pack();
		phd.show();
		if (phd.modalResult==phd.MR_OK) {dialogToPflichtenheft();}
		if (phd.modalResult==phd.MR_CANCEL) {System.exit(0);}
   }
	
	public static void main(String[] args){
		new PflichtenheftTransferTest();
	}
}