
	 
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;



public abstract class UtoppDialog extends JDialog implements ActionListener {

    public UtoppDialog(JFrame parent, String title) {

	    super(parent, title, true);
		
		JPanel jpPane = new JPanel(new BorderLayout());
		
		this.setContentPane(jpPane);
		
		jpPane.add(getButtonPanel(), BorderLayout.SOUTH);
		
		buildGUI();
		
		pack();
				
    }
	
	public UtoppDialog(){
	  this(null, "");
	}
	
	private JPanel getButtonPanel(){
	
		
		JPanel jpButtons = new JPanel(new FlowLayout());
		
        jbOk=new JButton("Ok");
		jbOk.addActionListener(this);
		jpButtons.add(jbOk);
		
        jbCancel=new JButton("Abbrechen");
		jbCancel.addActionListener(this);
		jpButtons.add(jbCancel);
		
		JPanel jpBottom = new JPanel(new BorderLayout());
		jpBottom.add(jpButtons, BorderLayout.EAST);
		
		return jpBottom;
	
	}
	
  	public void actionPerformed(ActionEvent e) 
    {	  	
	  if (e.getSource()==jbOk)
	    modalResult = MR_OK;
	  else
	    modalResult = MR_CANCEL; 
	  
	  hide();  
	   	
    }
	
    final int MR_OK = 0;
	final int MR_CANCEL = 1; 

	int modalResult;  
		
    private JButton jbOk;
    private JButton jbCancel;
	
	
    // Diese Methode muss berschrieben werden, damit werden die
	// sichtbaren Elemente des Dialoges erzeugt.
	protected abstract void buildGUI();
	

}


